Package org.eclipse.rdf4j.query.impl

## Class AbstractParserUpdate

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractUpdate
    - - org.eclipse.rdf4j.query.impl.AbstractParserUpdate

- All Implemented Interfaces:
    `Operation`, `Update`
  Direct Known Subclasses:
    `SailUpdate`

      public abstract class AbstractParserUpdate
      extends AbstractUpdate

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractParserUpdate​(ParsedUpdate parsedUpdate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Dataset` | `getMergedDataset​(Dataset sparqlDefinedDataset)` | Determines the active dataset by appropriately merging the pre-set dataset and the dataset defined in the SPARQL operation itself.
    `ParsedUpdate` | `getParsedUpdate()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Update

      `execute`

- - ### Constructor Detail

    - #### AbstractParserUpdate

          protected AbstractParserUpdate​(ParsedUpdate parsedUpdate)

  - ### Method Detail

    - #### getParsedUpdate

          public ParsedUpdate getParsedUpdate()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMergedDataset

          protected Dataset getMergedDataset​(Dataset sparqlDefinedDataset)

      Determines the active dataset by appropriately merging the pre-set dataset and the dataset defined in the SPARQL operation itself. If the SPARQL operation contains WITH, USING, or USING NAMED clauses, these should override whatever is preset.
      Parameters:
        `sparqlDefinedDataset` - the dataset as defined in the SPARQL update itself.
      Returns:
        a `Dataset` comprised of a merge between the pre-set dataset and the SPARQL-defined dataset.